EMMPStatement (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.mmp.EMMPStatement class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.mmp
Enum EMMPStatement

    java.lang.Object
      java.lang.Enum<EMMPStatement>
          com.nokia.carbide.cpp.epoc.engine.model.mmp.EMMPStatement

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EMMPStatement>

    public enum EMMPStatement

extends java.lang.Enum<EMMPStatement>

Enumerations for every known MMP statement.

An enumerator contains its keyword, the type of statement, and optionally the block type in which it is recognized.

Note that most MMP statements have a regular syntax and are generically categorized as FLAG_STATEMENT, SINGLE_ARGUMENT_STATEMENT, LIST_ARGUMENT_STATEMENT. Only special cases have their own categories.

Enum Constant Summary
`AIF`
`ALWAYS_BUILD_AS_ARM`
`ARMFPU`
`ARMLIBS`
`ARMRT`
`ASSPABI`
`ASSPEXPORTS`
`ASSPLIBRARY`
`BASEADDRESS`
`BITMAP_SOURCE`
`BYTEPAIRCOMPRESSTARGET`
`CAPABILITY`
`COMPRESSTARGET`
`COPY_FOR_STATIC_LINKAGE`
`DEBUGGABLE`
`DEBUGGABLE_UDEBONLY`
`DEBUGLIBRARY`
`DEFFILE`
`DOCUMENT`
`EPOCALLOWDLLDATA`
`EPOCCALLDLLENTRYPOINTS`
`EPOCDATALINKADDRESS`
`EPOCFIXEDPROCESS`
`EPOCHEAPSIZE`
`EPOCPROCESSPRIORITY`
`EPOCSTACKSIZE`
`EXPORTLIBRARY`
`EXPORTUNFROZEN`
`FIRSTLIB`
`HEADER`
`HEADERONLY`
`INFLATECOMPRESSTARGET`
`LANG`
`LIBRARY`
`LINKAS`
`LINKEROPTION`
`MACRO`
`MESSAGE`
`NOCOMPRESSTARGET`
`NOEXPORTLIBRARY`
`NOSTRICTDEF`
`OPTION`
`OPTION_REPLACE`
`PAGED`
`RAMTARGET`
`RESOURCE`
`ROMTARGET`
`SECUREID`
`SOURCE`
`SOURCEPATH`
`SRCDBG`
`START_BLOCK`
`STATICLIBRARY`
`STRICTDEPEND`
`SYSTEMINCLUDE`
`SYSTEMRESOURCE`
`TARGET`
`TARGETPATH`
`TARGETTYPE`
`UID`
`UNPAGED`
`USERINCLUDE`
`VAR`
`VENDORID`
`VERSION`
`VID`
`WCHARENTRYPOINT`
`WIN32_HEADERS`
`WIN32_LIBRARY`

Method Summary
`int` | `getCategory()` Get the category
`boolean` | `matches(com.nokia.carbide.internal.api.cpp.epoc.engine.dom.mmp.IASTMMPStatement stmt)` Tell if the given statement is an instance of this statement type.
`java.lang.String` | `toString()`
`static EMMPStatement` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EMMPStatement[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AIF

    public static final EMMPStatement AIF

### BITMAP_SOURCE

    public static final EMMPStatement BITMAP_SOURCE

### OPTION

    public static final EMMPStatement OPTION

### LINKEROPTION

    public static final EMMPStatement LINKEROPTION

### OPTION_REPLACE

    public static final EMMPStatement OPTION_REPLACE

### START_BLOCK

    public static final EMMPStatement START_BLOCK

### UID

    public static final EMMPStatement UID

### ALWAYS_BUILD_AS_ARM

    public static final EMMPStatement ALWAYS_BUILD_AS_ARM

### ASSPABI

    public static final EMMPStatement ASSPABI

### ASSPEXPORTS

    public static final EMMPStatement ASSPEXPORTS

### COMPRESSTARGET

    public static final EMMPStatement COMPRESSTARGET

### COPY_FOR_STATIC_LINKAGE

    public static final EMMPStatement COPY_FOR_STATIC_LINKAGE

### EXPORTUNFROZEN

    public static final EMMPStatement EXPORTUNFROZEN

### NOCOMPRESSTARGET

    public static final EMMPStatement NOCOMPRESSTARGET

### NOEXPORTLIBRARY

    public static final EMMPStatement NOEXPORTLIBRARY

### NOSTRICTDEF

    public static final EMMPStatement NOSTRICTDEF

### SRCDBG

    public static final EMMPStatement SRCDBG

### STRICTDEPEND

    public static final EMMPStatement STRICTDEPEND

### EPOCCALLDLLENTRYPOINTS

    public static final EMMPStatement EPOCCALLDLLENTRYPOINTS

### EPOCFIXEDPROCESS

    public static final EMMPStatement EPOCFIXEDPROCESS

### EPOCALLOWDLLDATA

    public static final EMMPStatement EPOCALLOWDLLDATA

### PAGED

    public static final EMMPStatement PAGED

### UNPAGED

    public static final EMMPStatement UNPAGED

### WIN32_HEADERS

    public static final EMMPStatement WIN32_HEADERS

### ARMRT

    public static final EMMPStatement ARMRT

### WCHARENTRYPOINT

    public static final EMMPStatement WCHARENTRYPOINT

### INFLATECOMPRESSTARGET

    public static final EMMPStatement INFLATECOMPRESSTARGET

### BYTEPAIRCOMPRESSTARGET

    public static final EMMPStatement BYTEPAIRCOMPRESSTARGET

### DEBUGGABLE

    public static final EMMPStatement DEBUGGABLE

### DEBUGGABLE_UDEBONLY

    public static final EMMPStatement DEBUGGABLE_UDEBONLY

Since:
  2.0

### HEADER

    public static final EMMPStatement HEADER

### HEADERONLY

    public static final EMMPStatement HEADERONLY

### ARMFPU

    public static final EMMPStatement ARMFPU

### DEFFILE

    public static final EMMPStatement DEFFILE

### EXPORTLIBRARY

    public static final EMMPStatement EXPORTLIBRARY

### EPOCPROCESSPRIORITY

    public static final EMMPStatement EPOCPROCESSPRIORITY

### LINKAS

    public static final EMMPStatement LINKAS

### SOURCEPATH

    public static final EMMPStatement SOURCEPATH

### TARGETTYPE

    public static final EMMPStatement TARGETTYPE

### TARGETPATH

    public static final EMMPStatement TARGETPATH

### TARGET

    public static final EMMPStatement TARGET

### BASEADDRESS

    public static final EMMPStatement BASEADDRESS

### EPOCSTACKSIZE

    public static final EMMPStatement EPOCSTACKSIZE

### SECUREID

    public static final EMMPStatement SECUREID

### VENDORID

    public static final EMMPStatement VENDORID

### VID

    public static final EMMPStatement VID

### EPOCDATALINKADDRESS

    public static final EMMPStatement EPOCDATALINKADDRESS

### FIRSTLIB

    public static final EMMPStatement FIRSTLIB

### VAR

    public static final EMMPStatement VAR

### EPOCHEAPSIZE

    public static final EMMPStatement EPOCHEAPSIZE

### CAPABILITY

    public static final EMMPStatement CAPABILITY

### LIBRARY

    public static final EMMPStatement LIBRARY

### DEBUGLIBRARY

    public static final EMMPStatement DEBUGLIBRARY

### STATICLIBRARY

    public static final EMMPStatement STATICLIBRARY

### WIN32_LIBRARY

    public static final EMMPStatement WIN32_LIBRARY

### ASSPLIBRARY

    public static final EMMPStatement ASSPLIBRARY

### LANG

    public static final EMMPStatement LANG

### MACRO

    public static final EMMPStatement MACRO

### SOURCE

    public static final EMMPStatement SOURCE

### USERINCLUDE

    public static final EMMPStatement USERINCLUDE

### SYSTEMINCLUDE

    public static final EMMPStatement SYSTEMINCLUDE

### RESOURCE

    public static final EMMPStatement RESOURCE

### SYSTEMRESOURCE

    public static final EMMPStatement SYSTEMRESOURCE

### DOCUMENT

    public static final EMMPStatement DOCUMENT

### RAMTARGET

    public static final EMMPStatement RAMTARGET

### ROMTARGET

    public static final EMMPStatement ROMTARGET

### ARMLIBS

    public static final EMMPStatement ARMLIBS

### MESSAGE

    public static final EMMPStatement MESSAGE

### VERSION

    public static final EMMPStatement VERSION

Method Detail

### values

    public static final EMMPStatement[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EMMPStatement c : EMMPStatement.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EMMPStatement valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<EMMPStatement>`

### matches

    public boolean matches(com.nokia.carbide.internal.api.cpp.epoc.engine.dom.mmp.IASTMMPStatement stmt)

  Tell if the given statement is an instance of this statement type.

  Parameters:
    `stmt` -
  Returns:

### getCategory

    public int getCategory()

  Get the category

  Returns:
    one of IMMPParserConfiguration# elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD